Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.bot.browse.range
Class Form

    java.lang.Object
      org.encog.bot.browse.range.DocumentRange
          org.encog.bot.browse.range.Form

    public class Form

extends DocumentRange

A document range that represents a form, and all embedded tags.

Author:
  jheaton

Nested Class Summary
`static class` | `Form.Method` The method for this form.

Constructor Summary
`Form(WebPage source)` Construct a form on the specified web page.

Method Summary
`Input` | `findType(String type, int index)` Find the form input by type.
`Address` | `getAction()`
`Form.Method` | `getMethod()`
`void` | `setAction(Address theAction)` Set the action for the form.
`void` | `setMethod(Form.Method theMethod)` Set the method to send the form.
`String` | `toString()`

Methods inherited from class org.encog.bot.browse.range.DocumentRange
`addElement, getBegin, getClassAttribute, getElements, getEnd, getIdAttribute, getParent, getSource, getTextOnly, setBegin, setClassAttribute, setEnd, setIdAttribute, setParent, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Form

    public Form(WebPage source)

  Construct a form on the specified web page.

  Parameters:
    `source` - The web page that contains this form.

Method Detail

### findType

    public final Input findType(String type,
                                int index)

  Find the form input by type.

  Parameters:
    `type` - The type of input we want.
    `index` - The index to begin searching at.
  Returns:
    The Input object that was found.

### getAction

    public final Address getAction()

  Returns:
    The URL to send the form to.

### getMethod

    public final Form.Method getMethod()

  Returns:
    How the form will be sent.

### setAction

    public final void setAction(Address theAction)

  Set the action for the form.

  Parameters:
    `theAction` - The URL to send the form to.

### setMethod

    public final void setMethod(Form.Method theMethod)

  Set the method to send the form.

  Parameters:
    `theMethod` - How to send the form.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.